#!/bin/sh

SDIR=`dirname $0`
TMPDIR='/tmp/xplanet'

GEO=$(xrandr --query | fgrep \* | head -n 1 | awk '{print $1}')

mkdir -p "$TMPDIR"

nice -n 19 xplanet -latitude 33 -longitude 11 -background $SDIR/xplanet/background.jpg \
  -output $TMPDIR/xplanet.png -geometry 1920x1200 -num_times 1
nice -n 19 composite -geometry $GEO $SDIR/xplanet/xplanet_halo.png $TMPDIR/xplanet.png $TMPDIR/wallpaper.png
#nice -n 19 composite /tmp/xplanet/xplanet_atm.png ~/Bilder/Hintergrund_Feh/code_merged_1920.png /tmp/wallpaper.png
feh --bg-center $TMPDIR/wallpaper.png
