#!/bin/sh

if [ ! -z "$PASSWORD_STORE_DIR" ]; then
	cd "$PASSWORD_STORE_DIR"
else
	cd "$HOME/.password-store"
fi

if [ -z $@ ]; then
	find -name \*.gpg | sed 's/\.\/\(.*\)\.gpg/\1/'
else
	nohup pass show -c "$@" >/dev/null &
fi
